UpdateAttributeSpec will update the AttributeSpec with the given product_type_id and attribute_spec_id
You call thisScope not enforced
const url = 'https://api.zentail.com/v2/storefront/taxonomy/attribute_spec/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"attributeSpec":{"attributeSpecId":"example","displayName":"example","type":"TYPE_UNSPECIFIED","validValues":["example"],"validUnits":["example"],"objectSpec":{"additionalProperty":"TYPE_UNSPECIFIED"},"objectFieldSpecs":{"additionalProperty":{"type":"TYPE_UNSPECIFIED","validValues":["example"]}},"unit":"example","level":"LEVEL_UNSPECIFIED","classification":"CLASSIFICATION_UNSPECIFIED","usage":"USAGE_UNSPECIFIED","description":"example","examples":["example"],"maxUniqueItems":"example","suggestedValues":["example"],"updatedAt":"2026-04-15T12:00:00Z","createdAt":"2026-04-15T12:00:00Z"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.zentail.com/v2/storefront/taxonomy/attribute_spec/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "attributeSpec": { "attributeSpecId": "example", "displayName": "example", "type": "TYPE_UNSPECIFIED", "validValues": [ "example" ], "validUnits": [ "example" ], "objectSpec": { "additionalProperty": "TYPE_UNSPECIFIED" }, "objectFieldSpecs": { "additionalProperty": { "type": "TYPE_UNSPECIFIED", "validValues": [ "example" ] } }, "unit": "example", "level": "LEVEL_UNSPECIFIED", "classification": "CLASSIFICATION_UNSPECIFIED", "usage": "USAGE_UNSPECIFIED", "description": "example", "examples": [ "example" ], "maxUniqueItems": "example", "suggestedValues": [ "example" ], "updatedAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
AttributeSpec is the specification of an attribute within a Product Type on your channel.
object
Human-readable name for the attribute. Used for display purposes only.
The object_spec is used to specify the structure of an object. This is only used when the type is TYPE_MULTI_OBJECT.
object
The object_field_specs describes each sub-attribute of a TYPE_MULTI_OBJECT attribute, including per-sub-field valid values for enum sub-fields.
object
ObjectFieldSpec carries the type and, for enum sub-fields, the valid values of a single sub-attribute within a TYPE_MULTI_OBJECT attribute. object_spec cannot carry per-sub-field valid values (it maps to Type only), so object_field_specs supersedes it for multi-object enums.
object
Max unique items indicates the largest number of unique items that can be set for this attribute.
Suggested values is an array of values provided as an optional enumeration of specific values that are recommended for this attribute.
Responses
Section titled “ Responses ”A successful response.
AttributeSpec is the specification of an attribute within a Product Type on your channel.
object
Human-readable name for the attribute. Used for display purposes only.
The object_spec is used to specify the structure of an object. This is only used when the type is TYPE_MULTI_OBJECT.
object
The object_field_specs describes each sub-attribute of a TYPE_MULTI_OBJECT attribute, including per-sub-field valid values for enum sub-fields.
object
ObjectFieldSpec carries the type and, for enum sub-fields, the valid values of a single sub-attribute within a TYPE_MULTI_OBJECT attribute. object_spec cannot carry per-sub-field valid values (it maps to Type only), so object_field_specs supersedes it for multi-object enums.
object
Max unique items indicates the largest number of unique items that can be set for this attribute.
Suggested values is an array of values provided as an optional enumeration of specific values that are recommended for this attribute.
Example
{ "type": "TYPE_UNSPECIFIED", "objectSpec": { "additionalProperty": "TYPE_UNSPECIFIED" }, "objectFieldSpecs": { "additionalProperty": { "type": "TYPE_UNSPECIFIED" } }, "level": "LEVEL_UNSPECIFIED", "classification": "CLASSIFICATION_UNSPECIFIED", "usage": "USAGE_UNSPECIFIED"}default
Section titled “default”An unexpected error response.
object
object
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}